#ifndef SCRIPTNODE_H
#define SCRIPTNODE_H

#include "scene/graphicalnode.h"
#include "sol.hpp"

class ScriptNode : public GraphicalNode
{

    sol::state m_script;
    std::vector<std::string> functions_name;

public:
    ScriptNode();
    void update();
    void execute(std::string);
    std::vector<std::string> possibleCompletion(std::string);

    /* -- LUA function -- */
    void print(std::string);
    void version();
    void clear();
    float getDeltaTime();
    void testfunc(int, float,float,float);
    void picker();
    void materialEditor();
    void rendering();
};

#endif // SCRIPTNODE_H
